import ipdb
import numpy as np
import matplotlib.pyplot as plt
from joblib import dump, load

from sklearn.svm import LinearSVC
from sklearn.model_selection import GridSearchCV
from sklearn.multiclass import OneVsRestClassifier
from sklearn.multioutput import MultiOutputClassifier
from sklearn.datasets import make_classification

from config import MIN_RESP_RATE, MAX_RESP_RATE

class Baseline():
    ''' A model that outputs the previous input, assumes no change '''
    def __init__(self):
        self.eval_csv = './evaluations/baseline.csv'
        self.baseline = int(np.mean([MIN_RESP_RATE, MAX_RESP_RATE]))

    def predict(self, size):
        return np.ones(size)*self.baseline
